Skip to main content
GET
Get the dashboard user's booking attempt

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Path Parameters

id
string<uuid>
required

Response

OK

id
string<uuid>
required

Identifier for this booking attempt

state
enum<string>
required

Current booking state

Available options:
RECEIVED,
CREATING,
RECONCILING,
CONFIRMED,
SLOT_UNAVAILABLE,
PROVIDER_UNAVAILABLE,
NEEDS_FOLLOW_UP,
CANCELED
startTime
string<date-time>
required

Demo start time in UTC

timezone
string
required

Timezone for the calendar invitation

meetingUrl
string | null

Link to join the confirmed demo

cancelUrl
string | null

Link to cancel the confirmed demo

rescheduleUrl
string | null

Link to reschedule the confirmed demo

errorCode
string | null

Reason the booking could not be confirmed